Установка палагина openmediavault-mysql ver 2.1: Решено!

Список разделов Openmediavault по-русски Плагины

Название раздела: Плагины
Описание: Установка и настройка плагинов в OpenMediaVault.
Здесь обсуждаем и задаем вопросы только по дополнениям и плагинам.

Ответить


Этот вопрос предназначен для предотвращения автоматической отправки форм спам-ботами.
:hi: :smile: :wink: :twisted: :sad: :evil: :smoke: :eh: :eek: :fie: :silenced: :razz: :oops: :help: :spy: :insane: :biggrin: :toothless: :ill: :nervious: :weirdface: :pray: :clap: :think: :boxing: :cyclop: :rambo: :zombie: :cry: Ещё смайлики…
   

Развернуть Обзор темы: Установка палагина openmediavault-mysql ver 2.1: Решено!

Сообщение asimus » 15.11.2015, 21:48

Всем Спасибо! Ответ тут:
http://forums.openmediavault.org/index.php/Thread ... er-2-1/?postID=97352#post97352

You need to install the omv-extras plugin.
http://forums.openmediavault.org/index.php/Thread/5549-OMV-Extras-org-Plugin/
Installation of OMV-Extras.org

Description
OMV-Extras.org is a plugin which enables you to do several things...

Install backports kernel
Install even more plugins. For a complete list have a look here: omv-extras.org/simple/
Add custom repositories
Adds support information with selectable modules
Adds process list with sort feature


Installation

From OMV web interface (preferred method)

Download the plugin to enable this repository here: omv-extras.org/openmediavault-omvextrasorg_latest_all.deb
Go to the plugin tab in OMV's web interface.
Upload the file.
Select the newly uploaded plugin openmediavault-omvextrasorg
Click on Install.
Refresh page.
Go to the plugin tab and click Check.


OR

From command line as root

Source Code

wget http://omv-extras.org/openmediavault-omvextrasorg_latest_all.deb
dpkg -i openmediavault-omvextrasorg_latest_all.deb
apt-get update

Установка палагина openmediavault-mysql ver 2.1: Решено!

Сообщение asimus » 14.11.2015, 20:30

Есть проблема с установкой палагина openmediavault-mysql ver 2.1:

Я установил сервер с вер. дистрибутива openmediavault 2.1 64-бит. После того как я подключил openmediavault-MySQL версии 2.1. Я брал тут: http://omv-extras.org/debian/pool/main/o/. посыпались ошибки.
При попытке установить плагин-разработчиков / openmediavault-MySQL версии 2.1 ошибки возникли в неразрешённые зависимостей. Вот выхлоп:

#~Apt-get install openmediavault-mysql
Reading package lists ... Done
Building dependency tree
Reading state information ... Done
Some packages can not be installed. Perhaps you are asking the impossible,
or using the unstable distribution that some required
packages have not yet been created or been moved out of Incoming.
The following information may help you:

The packages have unmet dependencies:
openmediavault-mysql: Depends: mywebsql but it can not be installed
E: Unable to correct problems, you have delayed (held) broken packages


Я попытался установить эти пакеты.
#~apt-get install mysql-server mysql-client php5-mysql

Не помогло.

Данные о системе.


#~ uname -m
x86_64

#~ lsb_release -a
No LSB modules are available.
Distributor ID: Debian
Description: Debian GNU/Linux 7.9 (wheezy)
Release: 7.9
Codename: wheezy

Прошу помочь сообщество. Писал об ошибке вот сюда, ответа нет.
http://bugtracker.openmediavault.org/my_view_page.php
https://github.com/OpenMediaVault-Plugin-Developers/openmediavault-mysql/issues/3

Я основном использую дистрибутив http://calculate-linux.org (gentoo - 10 лет), там вменяемое сообщество. Такой бардак я первый раз вижу, каждый раз как я сталкиваюсь Debian -основанным дистрибутивом испытываю недоумение к такому отношению